#include <ESP8266WiFi.h>
#include <Servo.h>

const char* ssid = "FabLab 2.4Ghz";
const char* password = "innovate";
IPAddress ip(192, 168, 177, 107); //set static ip
IPAddress gateway(192, 168, 177, 1); //set getteway
IPAddress subnet(255, 255, 255, 0);//set subnet
WiFiServer server(80);
Servo myservo;

void setup() {
  Serial.begin(115200);
  delay(10);
  myservo.attach(4);
  myservo.write(0);
  
  //pinMode(13, OUTPUT);
 
  //digitalWrite(13, LOW);
 
  // Connect to WiFi network
  Serial.println();
  Serial.println();
  Serial.print("Connecting to ");
  Serial.println(ssid);
 //WiFi.config(ip, gateway, subnet);
  WiFi.begin(ssid, password);
 
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  Serial.println("");
  Serial.println("WiFi connected");
 
  // Start the server
  server.begin();
  Serial.println("Server started");
 
  // Print the IP address
  Serial.print("Use this URL to connect: ");
  
  Serial.print("http://");
  Serial.print(WiFi.localIP());
  Serial.println("/");
}
 
void loop() {
  // Check if a client has connected
  WiFiClient client = server.available();
  if (!client) {
    return;
  }
 
  // Wait until the client sends some data
  Serial.println("new client");
  while(!client.available()){
    delay(1);
  }
 
  // Read the first line of the request
  String request = client.readStringUntil('\r');
  Serial.println(request);
  client.flush();
 
  // Match the request

  int value = HIGH;
 
   if (request.indexOf("/Lampon") > 0)  {
    //digitalWrite(13, HIGH);
    myservo.write(180);
    value = HIGH;
   
  }
  if (request.indexOf("/Lampoff") > 0)  {
   // digitalWrite(13, LOW);
    { myservo.write(0);
    value = HIGH;}
   
  }
// Set ledPin according to the request
//digitalWrite(ledPin, value);
 
  // Return the response
  client.println("HTTP/1.1 200 OK");
  client.println("Content-Type: text/html");
  client.println(""); //  do not forget this one
  client.println("<!DOCTYPE HTML>");
  client.println("<html>");
  client.println("<head>");
  client.println("<meta name='apple-mobile-web-app-capable' content='yes' />");
  client.println("<meta name='apple-mobile-web-app-status-bar-style' content='black-translucent' />");
 client.println("</head>");
  client.println("<body bgcolor = \"#FFFF00\">"); 
  client.println("<hr/><hr>");
  client.println("<h4><center> <b>Interface and application programming</b> </center></h4>");
  client.println("<hr/><hr>");
  client.println("<br><br>");
  client.println("<br><br>");
   client.println("<center>");
   client.println("Servor");
  client.println("<a href=\"/Lampon\"\"><button>Turn On </button></a>");
  client.println("<a href=\"/Lampoff\"\"><button>Turn Off </button></a><br />");  
client.println("</center>"); 
  client.println("<br><br>");
  client.println("<center>");
  client.println("<table border=\"5\">");
 client.println("<tr>");
 client.println("<br />");
            
          if (digitalRead(13))


          { 


           client.print("<td>Servo  is ON</td>");

          }


          else


          {


            client.print("<td>Servo is OFF</td>");


          }

          //client.println("</tr>");


          //client.println("</table>");

          //client.println("</center>");
          //client.println("<h3><center>Week 12</center></h3>"); 
          
  client.println("</html>"); 
  delay(1);
  Serial.println("Client disonnected");
  Serial.println("");
 
}

